<?php
include ("db.checkuser.php");

//Fehlervariable
$fehler = 0;


if (isset($_POST['action']) && $_POST['action'] == 'format') 
{
    if (isset($_POST['input']) && $_POST['input'] != 'Hier unformatierten Spionagebericht einfgen.')
    {
	$intext = $_POST['input'];
	
	$outtext = $intext;	
	
	//Unitnamen ndern
	$outtext = preg_replace("/UIC Ranger/", "UICRanger", $outtext);
	$outtext = preg_replace("/UIC Marine/", "UICMarine", $outtext);
	$outtext = preg_replace("/UIC Firestorm/", "UICFirestorm", $outtext);
	$outtext = preg_replace("/Robotic Wall/", "RoboticWall", $outtext);

	$outtext = preg_replace("/Bf Ranger/", "BFRanger", $outtext);
	$outtext = preg_replace("/Bf Heavy Marine/", "BFHeavyMarine", $outtext);
	$outtext = preg_replace("/Strike Fighter/", "StrikeFighter", $outtext);

	$outtext = preg_replace("/SL Ranger/", "SLRanger", $outtext);
	$outtext = preg_replace("/SL Marine/", "SLMarine", $outtext);
	$outtext = preg_replace("/Stealth Bomber/", "StealthBomber", $outtext);	
	
	
	// Variablen vordefinieren	
	//Militr
	$Marine = 0;
	$Ranger = 0;
	$Specialunit = 0;
	$Tecunit1 = 0;
	$Tecunit2 = 0;		

	$Fraktion = "Unbekannt";	

	$Konzernname = ""; 
	$Konzernname2 = "b";
	$Syndikatnummer = "";	

	$result = preg_match("/Der Konzern (.*) besitzt folgende/", $outtext, $matches);
	if ($result) 
	{
		$Konzernname2 = substr($matches[0], 12, strlen($matches[0]) - 12 - 17);		
		
		preg_match("/\(#(.*)\)/", $Konzernname2, $matches);
		$Syndikatnummer = substr($matches[0],2,strlen($matches[0]) - 3);
		
	
		$Konzernname = substr($Konzernname2,0, strlen($Konzernname2) - strlen($matches[0]) -1 );

		//echo "[" . $Syndikatnummer . "#" . $Konzernname . "]<br />";
	} else $fehler = 1;	

	$outtext = preg_replace("/\./", "", $outtext);

	//Splitten des Strings nach Leerzeichen ... pipapo
	$chars = preg_split ("/[\s,]+/", $outtext);


	//Das Array durchlaufen und die wichtigen 
	for ($i = 0; $i < count($chars); $i++)
	{		
		switch ($chars[$i])
		{
			//Fraktion suchen
			case "UICMarine":
				$Fraktion = "UIC";
				$Marine = $chars[$i+1];
				break;
			case "BFHeavyMarine":
				$Fraktion = "BF";
				$Marine = $chars[$i+1]; 
				break;
			case "SLMarine":
				$Fraktion = "SL";
				$Marine = $chars[$i+1]; 
				break;

			//Militr
			//UIC-BF-SL			
			case "UICRanger":
			case "BFRanger":
			case "SLRanger":				
				$Ranger = $chars[$i+1];								
				break;
			case "UICFirestorm":
			case "Wartank":
			case "Stalker":			
				$Specialunit = $chars[$i+1];								
				break;
			case "RoboticWall":
			case "StrikeFighter":
			case "Headhunter":			
				$Tecunit1 = $chars[$i+1];							
				break;
			case "Sentinel":
			case "Titan":
			case "StealthBomber":				
				$Tecunit2 = $chars[$i+1];							
				break;			
			
			//Ressourcen
			case "Credits":
				$Credits = $chars[$i+1]; break;
			case "Erz":
				$Erz = $chars[$i+1]; break;	
			case "Energie":
				$Energie = $chars[$i+1]; break;	
			case "Forschungspunkte":
				$Forschungspunkte = $chars[$i+1]; break;	
			
			//Nichts Brauchbares gefunden, also tue nichts
			default:						
				break;
		
		}
	}

	
	if ($Fraktion == "Unbekannt") $fehler = 1;
	
	//Ist bis hierhin kein Fehler aufgetreten, Ausgabe vorbereiten
	if (!($fehler))
	{
		$outtext = "";
		$outtext .=  "<b>" . $Konzernname . "(#". $Syndikatnummer . ")" . "</b><br /><br />";	

		switch($Fraktion)
		{
		case "UIC":
			$outtext .= "UIC Marine: " . $Marine . "<br />";
			$outtext .= "UIC Ranger: " . $Ranger . "<br />";
			$outtext .= "UIC Firestorm: " . $Specialunit . "<br />";
			$outtext .= "Robotic Wall: " . $Tecunit1 . "<br />";
			$outtext .= "Sentinel: " . $Tecunit2 . "<br /><br />";
			break;
		case "SL":
			$outtext .= "SL Marine: " . $Marine . "<br />";
			$outtext .= "SL Ranger: " . $Ranger . "<br />";
			$outtext .= "Stalker: " . $Specialunit . "<br />";
			$outtext .= "Headhunter: " . $Tecunit1 . "<br />";
			$outtext .= "Stealth Bomber: " . $Tecunit2 . "<br /><br />";
			
			break;
		case "BF":
			$outtext .= "BF Heavy Marine: " . $Marine . "<br />";
			$outtext .= "BF Ranger: " . $Ranger . "<br />";
			$outtext .= "Wartank: " . $Specialunit . "<br />";
			$outtext .= "StrikeFighter: " . $Tecunit1 . "<br />";
			$outtext .= "Titan: " . $Tecunit2 . "<br /><br />";
			
			break;
		default:
			$outtext = "Fehler ! (Fraktion)";			
			break;
		}
	
	$outtext .= "Credits: " . $Credits . "<br />";
	$outtext .= "Erz: " . $Erz . "<br />";
	$outtext .= "Energie: " . $Energie . "<br />";
	$outtext .= "Forschungspunkte: " . $Forschungspunkte . "<br />";
	}

	//berprfungen fr Datenbank machen
	if (!($fehler))
	{
		include ("modul/modul.class.DB.php");

		$database = new DB;
		$database->connect();

		$Konzernid = "";
		//echo $Konzernname . "," . $Syndikatnummer . "," . $Fraktion ."<br />";
		
		$queryresult = $database->query("SELECT * FROM T_Konzerne WHERE name='" . $Konzernname ."' AND sid='" . $Syndikatnummer . "';") or die("Anfrage fehlgeschlagen: " . mysql_error());
			
		echo mysql_num_rows( $queryresult );
			
		if (mysql_num_rows( $queryresult ) == 0)	 
		{
			//echo "Nicht gefunden";
			//echo "MySQL-Antwort:" . mysql_error();        
			$database->query("INSERT INTO T_Konzerne (name,sid,fraktion) VALUES ('" . $Konzernname . "','" . $Syndikatnummer . "','" . $Fraktion ."');") or die("Anfrage fehlgeschlagen: " . mysql_error());
			$Konzernid = mysql_insert_id();	
		} else {
			//echo "Gefunden";
			
			$row = mysql_fetch_array($queryresult);
			if (($row["fraktion"] != "SL") && ($row["fraktion"] != "BF") && ($row["fraktion"] != "UIC"))
			{
				$database->query("UPDATE T_Konzerne SET fraktion='" . $Fraktion . "' WHERE name='" . $Konzernname ."' AND sid='" . $Syndikatnummer . "';") or die("Anfrage fehlgeschlagen: " . mysql_error());
			}   	

			$Konzernid = $row[0];
			//echo "{" . $row[2] . "|" . $Syndikatnummer . "}";
		}

		mysql_free_result($queryresult);	
		
		$query_insert = "INSERT INTO T_Konzernspione ";
		$query_insert .= "(kid,credits,erz,energie,forschungspunkte,marine,ranger,specialunit,tecunit1,tecunit2)";
		$query_insert .= " VALUES(";			
		$query_insert .= $Konzernid .",";
		$query_insert .= $Credits .",";
		$query_insert .= $Erz .",";
		$query_insert .= $Energie .",";
		$query_insert .= $Forschungspunkte .",";
		$query_insert .= $Marine .",";
		$query_insert .= $Ranger .",";
		$query_insert .= $Specialunit .",";
		$query_insert .= $Tecunit1 .",";
		$query_insert .= $Tecunit2;
		$query_insert .= ");";		
		
		//echo $query_insert;
		$database->query($query_insert) or die("Anfrage fehlgeschlagen: " . mysql_error());
			
		$database->close();
	
	}	
	
	
    } else {
	if (isset($_POST['input']))
		$intext = $_POST['input'];
	else 
		$intext = "Hier unformatierten Spionagebericht einfgen.";

    	$outtext = "Beim formatieren des Spionageberichts ist ein Fehler aufgetreten.";
    }
} else {
    $outtext = "";
}
?>

<?php include ("include/header.php"); ?>

<strong>Konzernspion in die Datenbank eintragen.</strong>
<br /><br />
<i>Einfach den gesamten Spionagebericht in das erste Feld kopieren und auf "Eintragen" klicken.</i><br />

<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
	<textarea name="input" cols="80" rows="10">Konzernspion</textarea>
	<br />
	<input type="hidden" name="action" value="format">
	<input class="button" name="submit" type="submit" value="Eintragen"/>	  
	<?php echo $outtext; ?>	
</form>

<?php include ("include/footer.php"); ?>